summaryrefslogtreecommitdiffstats
path: root/system/osquery-bin
diff options
context:
space:
mode:
Diffstat (limited to 'system/osquery-bin')
-rw-r--r--system/osquery-bin/README4
-rw-r--r--system/osquery-bin/doinst.sh22
-rw-r--r--system/osquery-bin/osquery-bin.SlackBuild109
-rw-r--r--system/osquery-bin/osquery-bin.info12
-rw-r--r--system/osquery-bin/slack-desc19
5 files changed, 166 insertions, 0 deletions
diff --git a/system/osquery-bin/README b/system/osquery-bin/README
new file mode 100644
index 0000000000..3e8850a5bf
--- /dev/null
+++ b/system/osquery-bin/README
@@ -0,0 +1,4 @@
+osquery - an operating system instrumentation framework
+
+Osquery uses basic SQL commands to leverage a relational data-model to
+describe a device.
diff --git a/system/osquery-bin/doinst.sh b/system/osquery-bin/doinst.sh
new file mode 100644
index 0000000000..67b687ee90
--- /dev/null
+++ b/system/osquery-bin/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.osqueryd.new
diff --git a/system/osquery-bin/osquery-bin.SlackBuild b/system/osquery-bin/osquery-bin.SlackBuild
new file mode 100644
index 0000000000..3f85678ad1
--- /dev/null
+++ b/system/osquery-bin/osquery-bin.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for osquery-bin
+
+# Copyright 2019-2022 Andrew Clemons, Wellington New Zealand
+# Copyright 2022-2024 Andrew Clemons, Tokyo Japan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=osquery-bin
+SRCNAM=${PRGNAM%-bin}
+VERSION=${VERSION:-5.12.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+DEBBUILD=${DEBBUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+if [ "$ARCH" = "x86_64" ]; then
+ ar p "$CWD/$SRCNAM"_"$VERSION-$DEBBUILD.linux_amd64.deb" data.tar.gz | tar xzv
+elif [ "$ARCH" = "aarch64" ]; then
+ ar p "$CWD/$SRCNAM"_"$VERSION-$DEBBUILD.linux_arm64.deb" data.tar.gz | tar xzv
+else
+ printf "$ARCH is not supported...\n"
+ exit 1
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$ARCH" = "aarch64" ] ; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs patchelf --set-interpreter /lib64/ld-linux-aarch64.so.1 2> /dev/null || true
+fi
+
+mkdir etc/rc.d
+mv etc/init.d/osqueryd etc/rc.d/rc.osqueryd.new
+rm -rf etc/init.d
+
+rm -rf usr/lib/systemd
+rmdir usr/lib
+
+# make symlinks relative
+(
+ cd "$PKG/usr/bin"
+ for lnk in osqueryctl osqueryd osqueryi ; do
+ rm -rf "$lnk"
+
+ if [ "$lnk" = "osqueryi" ] ; then
+ ln -s "../../opt/osquery/bin/osqueryd" "$lnk"
+ else
+ ln -s "../../opt/osquery/bin/$lnk" "$lnk"
+ fi
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/osquery-bin/osquery-bin.info b/system/osquery-bin/osquery-bin.info
new file mode 100644
index 0000000000..c2a3d51277
--- /dev/null
+++ b/system/osquery-bin/osquery-bin.info
@@ -0,0 +1,12 @@
+PRGNAM="osquery-bin"
+VERSION="5.12.1"
+HOMEPAGE="https://osquery.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/osquery/osquery/releases/download/5.12.1/osquery_5.12.1-1.linux_amd64.deb \
+ https://github.com/osquery/osquery/releases/download/5.12.1/osquery_5.12.1-1.linux_arm64.deb"
+MD5SUM_x86_64="85eace3a95a804a0dae3e99a80961912 \
+ 2b907b8053a658ba4cc79eb2d9cd0595"
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/system/osquery-bin/slack-desc b/system/osquery-bin/slack-desc
new file mode 100644
index 0000000000..cc16ca601f
--- /dev/null
+++ b/system/osquery-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+osquery-bin: osquery-bin (an operating system instrumentation framework)
+osquery-bin:
+osquery-bin: osquery is an operating system instrumentation framework
+osquery-bin:
+osquery-bin: https://osquery.io/
+osquery-bin:
+osquery-bin:
+osquery-bin:
+osquery-bin:
+osquery-bin:
+osquery-bin: